
%global meadversion 10.0.2
%global namedversion 10.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with extras
%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-metadata}
%{!?scl:%global pkg_name %{name}}

%define maven_version 10.0.2.Final-redhat-1

Name:           %{?scl_prefix}jboss-metadata
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Application Server: Metadata
Group:          Development/Java

%if %with mead
Source100: jboss-as-parent-metadata-10.0.2.Final-redhat-1-scm-sources.zip
Source102: metadata-build-config-10.0.2.Final-redhat-1.pom
Source103: metadata-build-config-10.0.2.Final-redhat-1.jar
Source104: metadata-build-config-10.0.2.Final-redhat-1-sources.jar
Source105: jboss-metadata-test-10.0.2.Final-redhat-1.pom
Source106: jboss-metadata-test-10.0.2.Final-redhat-1-javadoc.jar
Source107: jboss-metadata-test-10.0.2.Final-redhat-1-sources.jar
Source108: jboss-metadata-test-10.0.2.Final-redhat-1.jar
Source109: jboss-metadata-permissions-10.0.2.Final-redhat-1-javadoc.jar
Source110: jboss-metadata-permissions-10.0.2.Final-redhat-1.pom
Source111: jboss-metadata-permissions-10.0.2.Final-redhat-1.jar
Source112: jboss-metadata-permissions-10.0.2.Final-redhat-1-sources.jar
Source113: jboss-as-parent-metadata-10.0.2.Final-redhat-1-project-sources.tar.gz
Source114: jboss-as-parent-metadata-10.0.2.Final-redhat-1.pom
Source115: jboss-as-parent-metadata-10.0.2.Final-redhat-1-javadoc.jar
Source116: jboss-metadata-web-10.0.2.Final-redhat-1-javadoc.jar
Source117: jboss-metadata-web-10.0.2.Final-redhat-1-sources.jar
Source118: jboss-metadata-web-10.0.2.Final-redhat-1-test-sources.jar
Source119: jboss-metadata-web-10.0.2.Final-redhat-1.jar
Source120: jboss-metadata-web-10.0.2.Final-redhat-1-tests.jar
Source121: jboss-metadata-web-10.0.2.Final-redhat-1.pom
Source122: jboss-metadata-appclient-10.0.2.Final-redhat-1-javadoc.jar
Source123: jboss-metadata-appclient-10.0.2.Final-redhat-1.jar
Source124: jboss-metadata-appclient-10.0.2.Final-redhat-1-sources.jar
Source125: jboss-metadata-appclient-10.0.2.Final-redhat-1.pom
Source126: jboss-metadata-common-10.0.2.Final-redhat-1-sources.jar
Source127: jboss-metadata-common-10.0.2.Final-redhat-1.pom
Source128: jboss-metadata-common-10.0.2.Final-redhat-1-tests.jar
Source129: jboss-metadata-common-10.0.2.Final-redhat-1-javadoc.jar
Source130: jboss-metadata-common-10.0.2.Final-redhat-1.jar
Source131: jboss-metadata-common-10.0.2.Final-redhat-1-test-sources.jar
Source132: jboss-metadata-ear-10.0.2.Final-redhat-1-javadoc.jar
Source133: jboss-metadata-ear-10.0.2.Final-redhat-1-sources.jar
Source134: jboss-metadata-ear-10.0.2.Final-redhat-1.jar
Source135: jboss-metadata-ear-10.0.2.Final-redhat-1.pom
Source136: jboss-metadata-ejb-10.0.2.Final-redhat-1.jar
Source137: jboss-metadata-ejb-10.0.2.Final-redhat-1.pom
Source138: jboss-metadata-ejb-10.0.2.Final-redhat-1-sources.jar
Source139: jboss-metadata-ejb-10.0.2.Final-redhat-1-javadoc.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jboss/metadata
Requires:       %{?scl_prefix}jboss-metadata-appclient = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-metadata-ear = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-metadata-ejb = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-metadata-web = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Application Server: Metadata.

%package -n %{?scl_prefix}metadata-build-config
Summary:        Metadata Build Configuration
Group:          Development/Java


%description -n %{?scl_prefix}metadata-build-config
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-common
Summary:        JBoss Metadata Common
Group:          Development/Java

Requires:       %{?scl_prefix_eap}hibernate-jpa-2.1-api >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3
#Requires:       %{?scl_prefix_eap}jaxb-impl >= 0:2.2.5
Requires:       %{?scl_prefix_eap}jboss-annotations-api_1.2_spec >= 0:1.0.0

%description -n %{?scl_prefix}jboss-metadata-common
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-ear
Summary:        JBoss Metadata EAR
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3

%description -n %{?scl_prefix}jboss-metadata-ear
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-ejb
Summary:        JBoss Metadata EJB
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-ejb-api_3.2_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-interceptors-api_1.2_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-jms-api_2.0_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-transaction-api_1.2_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-annotations-api_1.2_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-ejb3-ext-api >= 0:2.1.0
Requires:       %{?scl_prefix_eap}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3

%description -n %{?scl_prefix}jboss-metadata-ejb
The JavaEE EJB metadata classes.

%package -n %{?scl_prefix}jboss-metadata-web
Summary:        JBoss Metadata Web
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3
Requires:       %{?scl_prefix_eap}jboss-servlet-api_3.1_spec >= 0:1.0.0

%description -n %{?scl_prefix}jboss-metadata-web
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-appclient
Summary:        JBoss Metadata Appclient
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3

%description -n %{?scl_prefix}jboss-metadata-appclient
The JavaEE App Client metadata classes.

%package -n %{?scl_prefix}jboss-metadata-permissions
Summary:        JBoss Metadata Permissions
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-metadata-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.3

%description -n %{?scl_prefix}jboss-metadata-permissions
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-metadata
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n metadata -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %with extras
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-metadata-%{namedversion}
unzip -qq %{_sourcedir}/jboss-metadata-as-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-metadata-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-metadata-%{namedversion} %{buildroot}%{_javadocdir}/jboss-metadata
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-metadata
%defattr(0644,root,root,0755)

%if %with extras
%files -n %{?scl_prefix}metadata-build-config
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/metadata-build-config-%{namedversion}.jar
%{_javadir}/metadata-build-config.jar
%if %with javadoc
%{_javadir}/metadata-build-config-%{namedversion}-javadoc.jar
%{_javadir}/metadata-build-config-javadoc.jar
%endif
%{_javadir}/metadata-build-config-%{namedversion}-sources.jar
%{_javadir}/metadata-build-config-sources.jar
%endif

%files -n %{?scl_prefix}jboss-metadata-common
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-metadata-common-%{namedversion}.jar
%{_javadir}/jboss-metadata-common.jar
%if %with javadoc
%{_javadir}/jboss-metadata-common-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-common-javadoc.jar
%endif
%{_javadir}/jboss-metadata-common-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-common-sources.jar

%files -n %{?scl_prefix}jboss-metadata-ear
%defattr(0644,root,root,0755)
%doc README ear/LICENSE.txt
%{_javadir}/jboss-metadata-ear-%{namedversion}.jar
%{_javadir}/jboss-metadata-ear.jar
%if %with javadoc
%{_javadir}/jboss-metadata-ear-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-ear-javadoc.jar
%endif
%{_javadir}/jboss-metadata-ear-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ear-sources.jar

%files -n %{?scl_prefix}jboss-metadata-ejb
%defattr(0644,root,root,0755)
%doc README ejb/LICENSE.txt
%{_javadir}/jboss-metadata-ejb-%{namedversion}.jar
%{_javadir}/jboss-metadata-ejb.jar
%if %with javadoc
%{_javadir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-ejb-javadoc.jar
%endif
%{_javadir}/jboss-metadata-ejb-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ejb-sources.jar

%files -n %{?scl_prefix}jboss-metadata-web
%defattr(0644,root,root,0755)
%doc README web/LICENSE.txt
%{_javadir}/jboss-metadata-web-%{namedversion}.jar
%{_javadir}/jboss-metadata-web.jar
%if %with javadoc
%{_javadir}/jboss-metadata-web-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-web-javadoc.jar
%endif
%{_javadir}/jboss-metadata-web-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-web-sources.jar

%files -n %{?scl_prefix}jboss-metadata-appclient
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-metadata-appclient-%{namedversion}.jar
%{_javadir}/jboss-metadata-appclient.jar
%if %with javadoc
%{_javadir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-appclient-javadoc.jar
%endif
%{_javadir}/jboss-metadata-appclient-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-appclient-sources.jar

%if %with extras
%files -n %{?scl_prefix}jboss-metadata-permissions
%defattr(0644,root,root,0755)
%doc README permissions/LICENSE.txt
%{_javadir}/jboss-metadata-permissions-%{namedversion}.jar
%{_javadir}/jboss-metadata-permissions.jar
%if %with javadoc
%{_javadir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-permissions-javadoc.jar
%endif
%{_javadir}/jboss-metadata-permissions-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-permissions-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-metadata-%{namedversion}
%{_javadocdir}/jboss-metadata
%endif

%changelog
* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 10.0.2-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 10.0.2-1.Final_redhat_1.1
- update to 10.0.2.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 10.0.1-1.Final_redhat_1.1
- Upgrade to 10.0.1.Final

* Wed Oct 28 2015 Neil Wallace <nwallace@redhat.com> - 10.0.0-6.Final_redhat_1.1
- Upgrade to 10.0.0.Final

* Wed Oct 14 2015 Fernando Nasser <fnasser@redhat.com> - 10.0.0-5.CR1_redhat_1.1
- Upgrade to 10.0.0.CR1

* Thu Sep 10 2015 David Walluck <dwalluck@redhat.com> - 10.0.0-4.Beta3_redhat_1.1
- fix Requires

* Wed Sep 09 2015 David Walluck <dwalluck@redhat.com> - 10.0.0-3.Beta3_redhat_1.1
- release

